Skip to main content
POST
/
campaigns
Create campaign
curl --request POST \
  --url https://api.getarbol.com/v1/campaigns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "agentId": "<string>",
  "provisionedTelephoneId": "<string>",
  "description": "<string>",
  "scheduledFor": "2023-11-07T05:31:56Z",
  "timezone": "<string>",
  "rows": [
    {
      "telephone": "<string>",
      "givenName": "<string>",
      "familyName": "<string>",
      "email": "<string>",
      "firstMessage": "<string>",
      "variables": {}
    }
  ],
  "metadata": {}
}
'
import requests

url = "https://api.getarbol.com/v1/campaigns"

payload = {
"name": "<string>",
"agentId": "<string>",
"provisionedTelephoneId": "<string>",
"description": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"rows": [
{
"telephone": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"email": "<string>",
"firstMessage": "<string>",
"variables": {}
}
],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
agentId: '<string>',
provisionedTelephoneId: '<string>',
description: '<string>',
scheduledFor: '2023-11-07T05:31:56Z',
timezone: '<string>',
rows: [
{
telephone: '<string>',
givenName: '<string>',
familyName: '<string>',
email: '<string>',
firstMessage: '<string>',
variables: {}
}
],
metadata: {}
})
};

fetch('https://api.getarbol.com/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": {}
  },
  "requestId": "<string>"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Use your API key from the Arbol dashboard. Go to Settings > API Keys to generate one.

Body

application/json
name
string
required
agentId
string
required
provisionedTelephoneId
string
required
description
string
scheduledFor
string<date-time>
timezone
string
rows
object[]
metadata
object

Response

Created campaign